Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.io
Class FileOpener

    java.lang.Object
      ij.io.FileOpener

public class FileOpener
extends java.lang.Object

Opens or reverts an image specified by a FileInfo object. Images can be loaded from either a file (directory+fileName) or a URL (url+fileName). Here is an example:

       public class FileInfo_Test implements PlugIn {
         public void run(String arg) {
           FileInfo fi = new FileInfo();
           fi.width = 256;
           fi.height = 254;
           fi.offset = 768;
           fi.fileName = "blobs.tif";
           fi.directory = "/Users/wayne/Desktop/";
           new FileOpener(fi).open();
         }
       }

Constructor Summary
`FileOpener(FileInfo fi)`

Method Summary
`java.awt.image.ColorModel` | `createColorModel(FileInfo fi)` Returns an IndexColorModel for the image specified by this FileInfo.
`java.io.InputStream` | `createInputStream(FileInfo fi)` Returns an InputStream for the image described by this FileInfo.
`void` | `open()` Opens the image and displays it.
`ImagePlus` | `open(boolean show)` Opens the image.
`void` | `revertToSaved(ImagePlus imp)` Restores original disk or network version of image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileOpener

    public FileOpener(FileInfo fi)

Method Detail

### open

    public void open()

  Opens the image and displays it.

### open

    public ImagePlus open(boolean show)

  Opens the image. Displays it if 'show' is true. Returns an ImagePlus object if successful.

### revertToSaved

    public void revertToSaved(ImagePlus imp)

  Restores original disk or network version of image.

### createColorModel

    public java.awt.image.ColorModel createColorModel(FileInfo fi)

  Returns an IndexColorModel for the image specified by this FileInfo.

### createInputStream

    public java.io.InputStream createInputStream(FileInfo fi)
                                          throws java.io.IOException,
                                                 java.net.MalformedURLException

  Returns an InputStream for the image described by this FileInfo.

  Throws:
    `java.io.IOException`
    `java.net.MalformedURLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD